package cn.com.qmth.examcloud.core.reports.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.reports.api.StudentTotalCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.request.SaveStudentTotalCountReq;
import cn.com.qmth.examcloud.core.reports.api.response.SaveStudentTotalCountResp;
import cn.com.qmth.examcloud.core.reports.service.StudentTotalCountService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "学生总人数接口")
@RequestMapping("${$rmp.cloud.reports}" + "studentTotalCount")
public class StudentTotalCountCloudServiceProvider extends ControllerSupport implements StudentTotalCountCloudService {

    /**
     * 
     */
    private static final long serialVersionUID = 3112398369884979088L;

    @Autowired
    private StudentTotalCountService studentTotalCountService;

    @ApiOperation(value = "保存总人数")
    @PostMapping("/save")
    @Override
    public SaveStudentTotalCountResp save(@RequestBody SaveStudentTotalCountReq req) {
        studentTotalCountService.save(req);
        return new SaveStudentTotalCountResp();
    }
}
