package cn.com.qmth.examcloud.core.reports.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.core.reports.dao.entity.share.IdEntity;


@Entity
@Table(name = "ec_r_exam_org_report",indexes = {
		@Index(name = "IDX_R_EXAM_ORG_REPORT_01", columnList = "projectId,rootOrgId,examId,orgId", unique = true),
		@Index(name = "IDX_R_EXAM_ORG_REPORT_02", columnList = "projectId", unique = false),
		@Index(name = "IDX_R_EXAM_ORG_REPORT_03", columnList = "rootOrgId", unique = false),
		@Index(name = "IDX_R_EXAM_ORG_REPORT_04", columnList = "examId", unique = false),
		@Index(name = "IDX_R_EXAM_ORG_REPORT_05", columnList = "orgId", unique = false)})
public class ExamOrgReportEntity extends IdEntity {


	/**
	 * 
	 */
	private static final long serialVersionUID = 8626023407766283369L;

	//项目id
	@NotNull
    private Long projectId;
	//rootOrgId
    @NotNull
    private Long rootOrgId;
    //考试id
    @NotNull
    private Long examId;
    //考试名称
    @NotNull
    private String examName;
    //考试code
    @NotNull
    private String examCode;
    //中心id
    @NotNull
    private Long orgId;
    //中心名称
    @NotNull
    private String orgName;
    //中心code
    @NotNull
    private String orgCode;
    //报名人数
    @NotNull
    private Long signCount;
    //实考人数
    @NotNull
    private Long participantCount;
    //及格人数
    @NotNull
    private Long passCount;
    //分段人数数据
    @NotNull
    private String partitionData;
	public Long getProjectId() {
		return projectId;
	}
	public void setProjectId(Long projectId) {
		this.projectId = projectId;
	}
	public Long getRootOrgId() {
		return rootOrgId;
	}
	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}
	public String getExamName() {
		return examName;
	}
	public void setExamName(String examName) {
		this.examName = examName;
	}
	public String getExamCode() {
		return examCode;
	}
	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}
	public Long getOrgId() {
		return orgId;
	}
	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}
	public String getOrgName() {
		return orgName;
	}
	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	public String getOrgCode() {
		return orgCode;
	}
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	public Long getSignCount() {
		return signCount;
	}
	public void setSignCount(Long signCount) {
		this.signCount = signCount;
	}
	public Long getParticipantCount() {
		return participantCount;
	}
	public void setParticipantCount(Long participantCount) {
		this.participantCount = participantCount;
	}
	public Long getPassCount() {
		return passCount;
	}
	public void setPassCount(Long passCount) {
		this.passCount = passCount;
	}
	public String getPartitionData() {
		return partitionData;
	}
	public void setPartitionData(String partitionData) {
		this.partitionData = partitionData;
	}
    
}
